Rake seems to have stopped working.

I am using rails 3.0.7 and my database is postgresql and my OS is Suse
Linux 10.1

Somehow a problem created into my system and I don't know how.
After using rake successfully many times, I then started getting the
error message
"You have already activated rake 0.9.0 but your gem file requires rake
0.8.7 …". Based on other posts here I used 'gem uninstall rake –
v=0.9.0' to uninstall, after which rake started running to completion
again. Somewhat.

I ran 'rails generate scaffold card' and this worked with no issues.

Then I run rake db:migrate
This also seems to work, I get the standard postgresql messages:
Notice: CREATE TABLE will create implicit sequence ...
Notice: CREATE TABLE / PRIMARY KEY will create immplicit index ...

However, when done there is no table. I logged in as user postgres
and ran pgsql against my database but no new table shows up! To be
sure, I then opened every database on my system and confirmed that no
table by the name of 'card' exists anywhere!

Any ideas why this happens? Better yet, any suggestions on how to get
rake going again?

Thanks in advance for any help. -Fred

As a follow-up question, does anyone know if I can just create the
table by hand and then continue as if nothing happened, and expect
rails to behave normally?